#ifndef FS_H
#  define FS_H

   // -------------------------------------------------------------------------
   // For g++ versions < 8, our filesystem namespace is under
   // 'experimental'.  We'll also need to link with: -lstdc++fs
   // -------------------------------------------------------------------------

#  ifdef __GNUC__
#     if __GNUC__ < 8
#        define USE_EXPERIMENTAL 1
#     endif
#  endif

#  ifdef USE_EXPERIMENTAL
#     include <experimental/filesystem>
      namespace fs = std::experimental::filesystem;
#  else
#     include <filesystem>
      namespace fs = std::filesystem;
#  endif

#endif
